# 32/64bit spec-file
#
%define version	0.4.0
%define release	%mkrel 1
%define scim_version       1.4.14
%define libhangul_version  0.1.0

Name:		scim-hangul
Summary:	Hangul IMEngine for SCIM
Version:	%{version}
Release:	%{release}
Group:		System/Internationalization
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPLv2+
URL:		http://sourceforge.net/projects/scim/
Source:		http://dfn.dl.sourceforge.net/sourceforge/scim/%name-%version.tar.gz
Patch0:		scim-hangul-0.4.0.gcc47.patch
Requires:		scim-client = %{scim_api}
BuildRequires:		scim-devel >= %{scim_version}
BuildRequires:		%{_lib}hangul-devel >= %{libhangul_version}
BuildRequires:		gettext-devel
BuildRequires:		automake
Obsoletes:	%mklibname %name 0

%description
scim-hangul is a Hangul IMEngine for SCIM, which is 
ported from imhangul project. 
It supports both Hangul and Hanja input.

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unnecessary files
rm -f %{buildroot}/%{_libdir}/scim-1.0/*/*.a
rm $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/*/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_datadir}/scim/icons/*
%{_datadir}/scim/hangul
%{_libdir}/scim-1.0/*/IMEngine/hangul.so
%{_libdir}/scim-1.0/*/SetupUI/hangul-imengine-setup.so


%changelog
* Fri Nov 08 2013  pinoc <vogtpet at gmail.com> 0.4.0-1pclos2013
- 0.4.0

* Mon Feb 04 2013 pinoc <vogtpet at gmail.com> 0.3.2-1pclos2013
- import package from Mandriva
